C
C   SAMPLE MAIN FOR Q-PYTHIA.1.0.
C   BRANCHING THROUGH PYSHOW OF A JET OF 100 GEV ALONG THE Z AXIS.
C
C...Double precision and integer declarations.
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)
      INTEGER PYK,PYCHGE,PYCOMP
C...EXTERNAL statement links PYDATA on most machines.
      EXTERNAL PYDATA

C...Commonblocks.
      COMMON/PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      COMMON/PYDAT1/MSTU(200),PARU(200),MSTJ(200),PARJ(200)
      COMMON/PYDAT2/KCHG(500,4),PMAS(500,4),PARF(2000),VCKM(4,4)
      COMMON/PYSUBS/MSEL,MSELPD,MSUB(500),KFIN(2,-40:40),CKIN(200)
      COMMON/PYPARS/MSTP(200),PARP(200),MSTI(200),PARI(200)
C
      ejet=100.d0 !initial energy of the parton
C...Number of events.
      NEV=10
c
c   switches (default refers to PYTHIA-6.4.18 defaults).
c
c   MSTJ(47) and MSTJ(50) are fixed this way because we are running a
c   single parton which does not come from any hard scattering.
c
c   MSTJ(41) is fixed this way because we are only interested in QCD radiation.
c
c   MSTJ(41) must NOT be 11 or 12, as then FSR may go through PYPTFS
c   (kt-ordered cascade) in which medium effects have not been introduced.
c
      MSTJ(41)=1 ! QCD radiation only (default=2)
      MSTJ(42)=2 ! 2: angular ordering (default), 1: no angular ordering
      MSTJ(44)=2 ! options to run alphas (default=2)
      MSTJ(47)=0 ! no correction back to hard scattering element (default=3)
      MSTJ(50)=0 ! no coherence in first branching (default=3)
      PARJ(82)=1.D0 ! GeV, cut off for parton showers (default=1 GeV)
c
      OPEN(70,FILE='q-pythia.out',STATUS='new')
C...Event loop. List first few events.
      DO 1 IEV=1,NEV
c
         N=1
         K(1,1)=1
         K(1,2)=21 ! 1 gluon, for initial quarks it would be 1,2,3,4,5,6
         K(1,3)=0
         K(1,4)=0
         K(1,5)=0
         P(1,1)=0.D0
         P(1,2)=0.D0
         P(1,3)=ejet
         P(1,4)=ejet
         P(1,5)=PYMASS(K(1,2))
         V(1,1)=0.D0
         V(1,2)=0.D0
         V(1,3)=0.D0
         V(1,4)=0.D0
         V(1,5)=0.D0
c
         CALL PYSHOW(1,0,2.D0*ejet)
c
         IF(IEV.LE.10) CALL PYLIST(1)
c
         CALL PYEDIT(5)
c
         DO 2 Iqq=1, N, 1
           WRITE(70,*) IEV, K(Iqq,2)
           WRITE(70,*) P(Iqq,1), P(Iqq,2), P(Iqq,3), P(Iqq,4), P(Iqq,5)
 2         CONTINUE
c
 1    CONTINUE
c
      CLOSE(70)
c
C...Final statistics and histograms.
c      CALL PYSTAT(1)
c
      STOP
      END
